Package org.eclipse.core.filebuffers.manipulation

## Class FileBufferOperationRunner

- java.lang.Object
- - org.eclipse.core.filebuffers.manipulation.GenericFileBufferOperationRunner
  - - org.eclipse.core.filebuffers.manipulation.FileBufferOperationRunner

    public class FileBufferOperationRunner
    extends GenericFileBufferOperationRunner

A `FileBufferOperationRunner` executes `IFileBufferOperation`. The runner takes care of all aspects that are not operation specific.

This class is not intended to be subclassed. Clients instantiate this class.

Since:
  3.1
See Also:
  `IFileBufferOperation`
Restriction:
  This class is not intended to be subclassed by clients.

### Constructor Summary

Constructors
`FileBufferOperationRunner​(IFileBufferManager fileBufferManager, Object validationContext)` Creates a new file buffer operation runner.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `commit​(IFileBuffer[] fileBuffers, IProgressMonitor progressMonitor)`

### Methods inherited from class org.eclipse.core.filebuffers.manipulation.GenericFileBufferOperationRunner

`computeCommitRule, doCommit, execute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileBufferOperationRunner

    public FileBufferOperationRunner​(IFileBufferManager fileBufferManager,
                                     Object validationContext)

Creates a new file buffer operation runner.

Parameters:
  `fileBufferManager` - the file buffer manager
  `validationContext` - the validationContext

### Method Detail

#### commit

    protected void commit​(IFileBuffer[] fileBuffers,
                          IProgressMonitor progressMonitor)
                   throws CoreException

Overrides:
  `commit` in class `GenericFileBufferOperationRunner`
Throws:
  `CoreException`